packettype.h File Reference

Defines constants for the various packet types known to Regina. More...

`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Enumerations

enum

regina::PacketType {
regina::PACKET_CONTAINER = 1, regina::PACKET_TEXT = 2, regina::PACKET_TRIANGULATION = 3, regina::PACKET_NORMALSURFACES = 6,
regina::PACKET_NORMALSURFACELIST = 6, regina::PACKET_SCRIPT = 7, regina::PACKET_SURFACEFILTER = 8, regina::PACKET_ANGLESTRUCTURES = 9,
regina::PACKET_ANGLESTRUCTURELIST = 9, regina::PACKET_PDF = 10, regina::PACKET_DIM4TRIANGULATION = 11, regina::PACKET_NORMALHYPERSURFACES = 13,
regina::PACKET_NORMALHYPERSURFACELIST = 13, regina::PACKET_DIM2TRIANGULATION = 15, regina::PACKET_SNAPPEATRIANGULATION = 16, regina::PACKET_TRIANGULATION2 = 15,
regina::PACKET_TRIANGULATION3 = 3, regina::PACKET_TRIANGULATION4 = 11, regina::PACKET_TRIANGULATION5 = 105, regina::PACKET_TRIANGULATION6 = 106,
regina::PACKET_TRIANGULATION7 = 107, regina::PACKET_TRIANGULATION8 = 108, regina::PACKET_TRIANGULATION9 = 109, regina::PACKET_TRIANGULATION10 = 110,
regina::PACKET_TRIANGULATION11 = 111, regina::PACKET_TRIANGULATION12 = 112, regina::PACKET_TRIANGULATION13 = 113, regina::PACKET_TRIANGULATION14 = 114,
regina::PACKET_TRIANGULATION15 = 115
}

| Represents the different types of packet that are available in Regina. More...

## Detailed Description

Defines constants for the various packet types known to Regina.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).